- Main Page
- Namespaces
- Classes
- Files
- Directories

# util.cpp File Reference

libLASi provides a C++ output stream interface for writing multi-language Postscript documents. More...

`#include "util.h"`
`#include <sstream>`
`#include <iostream>`
`#include <ft2build.h>`

## Functions
static const std::string | glyph_format_to_string (const FT_Glyph_Format format)
static const std::string | tag_to_string (const int tag)
ostream & | operator<< (ostream &os, const FT_Library ft_library)
ostream & | operator<< (ostream &os, const FT_Face ft_face)
ostream & | operator<< (ostream &os, const FT_Glyph ft_glyph)
ostream & | operator<< (ostream &os, const FT_Outline outline)

## Detailed Description

libLASi provides a C++ output stream interface for writing multi-language Postscript documents.

Copyright (C) 2003 Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution.

## Function Documentation

static const std::string glyph_format_to_string | ( | const FT_Glyph_Format | format | ) | `[static]`

ostream& operator<< | ( | ostream & | os,
|  | const FT_Outline | outline |
| ) |  |  |

ostream& operator<< | ( | ostream & | os,
|  | const FT_Glyph | ft_glyph |
| ) |  |  |

ostream& operator<< | ( | ostream & | os,
|  | const FT_Face | ft_face |
| ) |  |  |

ostream& operator<< | ( | ostream & | os,
|  | const FT_Library | ft_library |
| ) |  |  |

static const std::string tag_to_string | ( | const int | tag | ) | `[static]`